当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]下载下来的deb文件可以重用么?
帖子发表于 : 2008-02-20 16:11 

注册: 2008-02-03 12:57
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
请教各位大虾!
我将一台7.04版的ubutu 安装下载下来的deb文件,比如gvim-gtk.deb,拷到另一台7.04版的ubutu 下的/var/cache/apt/archives/目录中,想在这台机器上不用再下载而直接安装,可以实现么?
怎么我拷过去,用sudo apt-get install vim-gtk时说依赖关系错误?
我觉得重用deb文件这个功能很实用,毕竟不是什么时候都可以上网直接安装的,请各位大虾赐教!


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2008-02-20 16:28 
头像

注册: 2006-10-25 18:10
帖子: 2677
地址: 长沙
送出感谢: 0 次
接收感谢: 0 次
如果你要安装的软件包依赖于其他的包,那么它所依赖的包必须先安装上去。这种工作一般都会自动进行,但是如果依赖的包无法安装(比如没有连接到互联网或者软件仓库中找不到),那这个软件也是无法安装的。


_________________
你是自由的。别人也是。


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2008-02-20 16:36 
头像

注册: 2006-04-12 20:05
帖子: 8495
地址: 杭州
送出感谢: 0 次
接收感谢: 8
当然可以,你把它依赖的deb包也复制过去啊.


_________________
关注我的blog: ε==3


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2008-02-20 16:58 
头像

注册: 2007-12-03 9:54
帖子: 943
送出感谢: 0 次
接收感谢: 0 次
楼上两位说的肯定都没问题呵呵,DEB包是能重用的


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2008-02-20 17:40 

注册: 2008-02-03 12:57
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
谢谢!


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2008-02-20 17:47 

注册: 2008-02-03 12:57
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
还有一个问题,如果我用的是feisty也就是7.04的ubuntu,但是我的sources.list的某些源填的是:
deb http://........ gutsy main restricted 也就是其他版本(gutsy)的标号,那么会不会引起错误的下载而导致依赖关系损坏?
如果会的话,应当怎么修复?


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-02-28 20:28 
头像

注册: 2007-08-30 5:39
帖子: 1670
送出感谢: 0 次
接收感谢: 0 次
源里面的就可以,不过要放在缓存哩。


_________________
深度,值得深入!
http://bbs.deepin.org/?u=348684

最新的综艺魔法相册
http://www.77studio.net/?fromuid=344


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译